Loading...
Searching...
No Matches
Dune::Functions::GridViewEntitySet< GV, cd > Class Template Reference
Functions » Function related utilities

An entity set for all entities of given codim in a grid view. More...

`#include <dune/functions/gridfunctions/gridviewentityset.hh>`

Inheritance diagram for Dune::Functions::GridViewEntitySet< GV, cd >:

## Public Types

enum | { codim = cd }
typedef GV | GridView
typedef GridView::template Codim< codim >::Entity | Element
| Type of Elements contained in this EntitySet.
typedef Element::Geometry::LocalCoordinate | LocalCoordinate
| Type of local coordinates with respect to the Element.
typedef Element::Geometry::GlobalCoordinate | GlobalCoordinate
typedef Element | value_type
typedef GridView::template Codim< codim >::Iterator | const_iterator
| A forward iterator.
typedef const_iterator | iterator
| Same as const_iterator.

## Public Member Functions

| GridViewEntitySet (const GridView &gv)
| Construct GridViewEntitySet for a GridView.
bool | contains (const Element &e) const
| Return true if e is contained in the EntitySet.
size_t | size () const
| Return number of Elements visited by an iterator.
const_iterator | begin () const
| Create a begin iterator.
const_iterator | end () const
| Create an end iterator.
const GridView & | gridView () const
| Return the associated GridView.

## Detailed Description

template<class GV, int cd>
class Dune::Functions::GridViewEntitySet< GV, cd >

An entity set for all entities of given codim in a grid view.

This implements the Concept::EntitySet concept.

## Member Typedef Documentation

## const_iterator

template<class GV, int cd>

typedef GridView::template Codim<codim>::Iterator Dune::Functions::GridViewEntitySet< GV, cd >::const_iterator

A forward iterator.

## Element

template<class GV, int cd>

typedef GridView::template Codim<codim>::Entity Dune::Functions::GridViewEntitySet< GV, cd >::Element

Type of Elements contained in this EntitySet.

## GlobalCoordinate

template<class GV, int cd>

typedef Element::Geometry::GlobalCoordinate Dune::Functions::GridViewEntitySet< GV, cd >::GlobalCoordinate

## GridView

template<class GV, int cd>

typedef GV Dune::Functions::GridViewEntitySet< GV, cd >::GridView

## iterator

template<class GV, int cd>

typedef const_iterator Dune::Functions::GridViewEntitySet< GV, cd >::iterator

Same as const_iterator.

## LocalCoordinate

template<class GV, int cd>

typedef Element::Geometry::LocalCoordinate Dune::Functions::GridViewEntitySet< GV, cd >::LocalCoordinate

Type of local coordinates with respect to the Element.

## value_type

template<class GV, int cd>

typedef Element Dune::Functions::GridViewEntitySet< GV, cd >::value_type

## Member Enumeration Documentation

## anonymous enum

template<class GV, int cd>

anonymous enum

Enumerator
codim |

## Constructor & Destructor Documentation

## GridViewEntitySet()

template<class GV, int cd>

Dune::Functions::GridViewEntitySet< GV, cd >::GridViewEntitySet | ( | const GridView & | gv | ) |

inline

Construct GridViewEntitySet for a GridView.

## Member Function Documentation

## begin()

template<class GV, int cd>

const_iterator Dune::Functions::GridViewEntitySet< GV, cd >::begin | ( |  | ) | const

inline

Create a begin iterator.

## contains()

template<class GV, int cd>

bool Dune::Functions::GridViewEntitySet< GV, cd >::contains | ( | const Element & | e | ) | const

inline

Return true if e is contained in the EntitySet.

## end()

template<class GV, int cd>

const_iterator Dune::Functions::GridViewEntitySet< GV, cd >::end | ( |  | ) | const

inline

Create an end iterator.

## gridView()

template<class GV, int cd>

const GridView & Dune::Functions::GridViewEntitySet< GV, cd >::gridView | ( |  | ) | const

inline

Return the associated GridView.

## size()

template<class GV, int cd>

size_t Dune::Functions::GridViewEntitySet< GV, cd >::size | ( |  | ) | const

inline

Return number of Elements visited by an iterator.

The documentation for this class was generated from the following file:

- gridviewentityset.hh